/*
 * pttest.c
 *
 * Test the ptsession stuff
 */

#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>
#include "ptsession.h"

int
main(int argc, char **argv)
{
	int	x;

	if (ptsession(argv + 1, 0, 80, 24) < 0)
		exit(1);
	read(0, &x, 1);
	ptcleanup();

	return 0;
}

void
error(const char *fmt, ...)
{
	va_list	ap;

	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	fputs("\n", stderr);
	va_end(ap);
}
